/*
 * Copyright (c) 2019 Stefan Strobel <stefan.strobel@shimatta.net>
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */

/**
 * @file    shellmatta_opt.h
 * @brief   option parser implementation of the shellmatta
 * @author  Stefan Strobel <stefan.strobel@shimatta.net>
 */

/**
 * @addtogroup shellmatta_opt
 * @{
 */
#ifndef _SHELLMATTA_OPT_H_
#define _SHELLMATTA_OPT_H_

#include "shellmatta.h"
#include <stdint.h>

shellmatta_retCode_t shellmatta_opt(        shellmatta_handle_t handle,
                                            char                *optionString,
                                            char                *option,
                                            char                **argument,
                                            uint32_t            *argLen);

shellmatta_retCode_t shellmatta_opt_long(   shellmatta_handle_t     handle,
                                            shellmatta_opt_long_t   *longOptions,
                                            char                    *option,
                                            char                    **argument,
                                            uint32_t                *argLen);

shellmatta_retCode_t shellmatta_opt_init(   shellmatta_instance_t   *inst,
                                            uint32_t argStart);

#endif

/** @} */

